{
  "name": "client",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc -b && vite build",
    "lint": "eslint .",
    "preview": "vite preview",
    "lint:fix": "eslint . --fix",
    "format": "prettier . --write --ignore-unknown",
    "format:check": "prettier . --check --ignore-unknown",
    "test": "vitest run",
    "test:watch": "vitest"
  },
  "dependencies": {
    "@dicebear/adventurer": "^9.4.2",
    "@dicebear/avataaars": "^9.4.2",
    "@dicebear/big-ears": "^9.4.2",
    "@dicebear/big-smile": "^9.4.2",
    "@dicebear/bottts": "^9.4.2",
    "@dicebear/core": "^9.4.2",
    "@dicebear/croodles": "^9.4.2",
    "@dicebear/fun-emoji": "^9.4.2",
    "@dicebear/identicon": "^9.4.2",
    "@dicebear/initials": "^9.4.2",
    "@dicebear/lorelei": "^9.4.2",
    "@dicebear/micah": "^9.4.2",
    "@dicebear/notionists": "^9.4.2",
    "@dicebear/pixel-art": "^9.4.2",
    "@dicebear/rings": "^9.4.2",
    "@dicebear/shapes": "^9.4.2",
    "@dicebear/thumbs": "^9.4.2",
    "@emotion/react": "^11.14.0",
    "@emotion/styled": "^11.14.1",
    "@mui/icons-material": "^9.0.0",
    "@mui/material": "^9.0.0",
    "@tanstack/react-query": "^5.100.5",
    "@tiptap/extension-placeholder": "^3.22.5",
    "@tiptap/react": "^3.22.5",
    "@tiptap/starter-kit": "^3.22.5",
    "axios": "^1.15.2",
    "effector": "^23.4.4",
    "effector-react": "^23.3.0",
    "lucide-react": "^1.14.0",
    "maplibre-gl": "^5.24.0",
    "react": "^19.2.5",
    "react-dom": "^19.2.5",
    "react-hook-form": "^7.74.0",
    "react-map-gl": "^8.1.1",
    "react-router-dom": "^7.14.2",
    "swiper": "^12.1.3"
  },
  "devDependencies": {
    "@eslint/js": "^9.39.4",
    "@testing-library/jest-dom": "^6.9.1",
    "@testing-library/react": "^16.3.2",
    "@testing-library/user-event": "^14.6.1",
    "@types/node": "^24.12.2",
    "@types/react": "^19.2.14",
    "@types/react-dom": "^19.2.3",
    "@vitejs/plugin-react": "^6.0.1",
    "eslint": "^9.39.4",
    "eslint-config-prettier": "^10.1.8",
    "eslint-import-resolver-typescript": "^4.4.4",
    "eslint-plugin-boundaries": "^6.0.2",
    "eslint-plugin-import-x": "^4.16.2",
    "eslint-plugin-jsx-a11y": "^6.10.2",
    "eslint-plugin-prettier": "^5.5.5",
    "eslint-plugin-react": "^7.37.5",
    "eslint-plugin-react-hooks": "^7.1.1",
    "eslint-plugin-react-refresh": "^0.5.2",
    "globals": "^17.5.0",
    "jsdom": "^26.1.0",
    "prettier": "^3.8.3",
    "typescript": "~6.0.2",
    "typescript-eslint": "^8.58.2",
    "vite": "^8.0.10",
    "vitest": "^3.2.4"
  }
}
